%define upstream_name    Games-Pandemic
%define upstream_version 1.120510

Name:       pandemic
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Cooperative pandemic board game
License:    GPL+ or Artistic
Group:      Games/Strategy
Url:        http://search.cpan.org/dist/%{upstream_name}/
Source0:    http://www.cpan.org/modules/by-module/Games/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Convert::Color)
BuildRequires: perl(Devel::CheckOS)
BuildRequires: perl(Encode)
BuildRequires: perl(Exporter)
BuildRequires: perl(Exporter::Lite)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::HomeDir)
BuildRequires: perl(File::ShareDir) >= 1.0.0
BuildRequires: perl(File::ShareDir::PathClass)
BuildRequires: perl(File::Spec::Functions)
BuildRequires: perl(File::Temp)
BuildRequires: perl(FindBin)
BuildRequires: perl(Geo::Mercator)
BuildRequires: perl(Image::Size)
BuildRequires: perl(List::MoreUtils)
BuildRequires: perl(List::Util)
BuildRequires: perl(Locale::TextDomain)
BuildRequires: perl(Math::Gradient)
BuildRequires: perl(Module::Build) >= 0.360.100
BuildRequires: perl(Moose) >= 0.920.0
BuildRequires: perl(Moose::Role)
BuildRequires: perl(MooseX::Has::Sugar)
BuildRequires: perl(MooseX::POE)
BuildRequires: perl(MooseX::SemiAffordanceAccessor)
BuildRequires: perl(MooseX::Singleton)
BuildRequires: perl(MooseX::Traits)
BuildRequires: perl(MooseX::Types::Moose)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Kernel)
BuildRequires: perl(POE::Loop::Tk)
BuildRequires: perl(Readonly)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(Tk)
BuildRequires: perl(Tk::Action)
BuildRequires: perl(Tk::Balloon)
BuildRequires: perl(Tk::Font)
BuildRequires: perl(Tk::JPEG)
BuildRequires: perl(Tk::PNG)
BuildRequires: perl(Tk::Pane)
BuildRequires: perl(Tk::Sugar)
BuildRequires: perl(Tk::Tiler)
BuildRequires: perl(Tk::ToolBar)
BuildRequires: perl(UNIVERSAL::require)
BuildRequires: perl(YAML::Tiny)
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildRequires: x11-server-xvfb
BuildArch:  noarch

# bug #56809: prereq not automatically found
Requires:   perl(POE::Loop::Tk)
%description
Pandemic is a cooperative game where the players are united to beat the
game. The goal is to find the cures for various diseases striking cities,
before they propagate too much.

This distribution implements a graphical interface for this game. I
definitely recommend you to buy a 'pandemic' board game and play with
friends, you'll have an exciting time - much more than with this poor
electronic copy.

%prep
%setup -q -n %{upstream_name}-%{upstream_version} 

%build
%{__perl} Build.PL installdirs=vendor
./Build

%check
#xvfb-run ./Build test

%install
./Build install destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man?/*
%{_bindir}/pandemic
%{perl_vendorlib}/Games
%{perl_vendorlib}/auto

%changelog
* Fri Oct 18 2013 umeabot <umeabot> 1.120.510-3.mga4
+ Revision: 508873
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1.120.510-2.mga3
+ Revision: 362380
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Feb 23 2012 jquelin <jquelin> 1.120.510-1.mga2
+ Revision: 212889
- update to 1.120510

* Wed Apr 13 2011 jquelin <jquelin> 1.111.30-1.mga1
+ Revision: 84262
- update to 1.111030

* Wed Jan 26 2011 jquelin <jquelin> 1.92.660-2.mga1
+ Revision: 39979
- mageia rebuild
- imported package pandemic


* Mon Jan 04 2010 Jérôme Quelin <jquelin@mandriva.org> 1.92.660-2mdv2010.1
+ Revision: 486105
- fix #56809: missing requires:

* Thu Sep 24 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.660-1mdv2010.0
+ Revision: 448257
- update to 1.092660

* Wed Sep 23 2009 Jérôme Quelin <jquelin@mandriva.org> 1.92.640-1mdv2010.0
+ Revision: 447821
- update to 1.092640

* Thu Sep 10 2009 Jérôme Quelin <jquelin@mandriva.org> 1.0.0-1mdv2010.0
+ Revision: 437200
- update to 1.000000

  + Michael Scherer <misc@mandriva.org>
    - fix Url tag, as found out by neoclust

* Mon Aug 31 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8.0-1mdv2010.0
+ Revision: 422838
- new version
- desactivate tests, xvfb segfaults

* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdv2010.0
+ Revision: 420194
- run tests through xvfb
- import pandemic


* Sun Aug 23 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.7.0-1mdv2010.0
- initial mdv release
